commit:     3b93411d2e401cbd569f2f4390061964652ad0a0
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Sun Jun 24 14:53:33 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Jul  6 21:47:55 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b93411d

app-text/htmlrecode: EAPI7, improve ebuild

 app-text/htmlrecode/htmlrecode-1.3.1-r1.ebuild | 41 ++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/app-text/htmlrecode/htmlrecode-1.3.1-r1.ebuild 
b/app-text/htmlrecode/htmlrecode-1.3.1-r1.ebuild
new file mode 100644
index 00000000000..4b9258115b9
--- /dev/null
+++ b/app-text/htmlrecode/htmlrecode-1.3.1-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Recodes HTML file using a new character set"
+HOMEPAGE="https://bisqwit.iki.fi/source/htmlrecode.html";
+SRC_URI="https://bisqwit.iki.fi/src/arch/${P}.tar.bz2";
+
+KEYWORDS="~amd64 ~ppc ~x86"
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+PATCHES=( "${FILESDIR}/${P}-ar.patch" )
+
+src_prepare() {
+       touch .depend argh/.depend || die
+       default
+}
+
+src_configure() { :; }
+
+src_compile() {
+       local makeopts=(
+               AR="$(tc-getAR)"
+               CPPDEBUG=
+               CXX="$(tc-getCXX)"
+               CXXFLAGS="${CXXFLAGS}"
+               LDFLAGS="${LDFLAGS}"
+       )
+       emake "${makeopts[@]}" -C argh libargh.a
+       emake "${makeopts[@]}" htmlrecode
+}
+
+src_install() {
+       dobin htmlrecode
+       dodoc README.html
+}

Reply via email to